---
type: api
title: Accept terms and conditions
description: Accept Cloud Connected terms and conditions for an organization.
url: https://www.elastic.co/elastic/docs-builder/docs/4493/api/doc/cloud-connect/operation/operation-accepttermsandconditions
resource: https://www.elastic.co/elastic/docs-builder/docs/4493/api/doc/cloud-connect/operation/operation-accepttermsandconditions
products:
  - Elastic Cloud Hosted
---

# Accept terms and conditions

- Server: `https://api.elastic-cloud.com`

## Paths

- `POST` `/api/v1/cloud-connected/organizations/{organization_id}/terms-and-conditions/_accept`

#### Path parameters

- `organization_id` (string · pattern: ^[a-z0-9]{1,32}$) — required
  The ID of the organization
  Example: `198583657190`

## Description

Accept Cloud Connected terms and conditions for an organization.

## Authentication

- Api key: `Authorization: <value>`
  API keys are used to authenticate requests to the Elastic Cloud Connected REST API.
  Generate your secret API key in https://cloud.elastic.co/account/keys
  You must provide the API key for all API requests in the Authorization header as follows:
  ```
  "Authorization: ApiKey $API_KEY"
  ```
  For example, if you interact with the API using the curl command:
  ```
  curl -H "Authorization: ApiKey essu_..." https://api.elastic-cloud.com/api/v1/cloud-connected/clusters
  ```

## Responses

#### `200`

Terms and Conditions were successfully accepted for an organization.

`application/json`

- `accepted` (object)
  details about accepted terms and conditions for an organization. Only present if the terms and conditions were accepted.
  - `accepted_at` (string · format: date-time)
    Date and time when the terms and conditions for an organization were accepted.
  - `accepted_by` (string)
    ID of the user.
#### `400`

Bad request

`application/json`

- `errors` (object[])
  - `message` (string)
    A human-readable message of the error.
  - `code` (string)
    An identifier for this type of error.
#### `401`

Unauthorized

`application/json`

- `errors` (object[])
  - `message` (string)
    A human-readable message of the error.
  - `code` (string)
    An identifier for this type of error.
#### `403`

Forbidden

`application/json`

- `errors` (object[])
  - `message` (string)
    A human-readable message of the error.
  - `code` (string)
    An identifier for this type of error.
## Code examples

#### curl

```curl
curl -X POST "https://api.elastic-cloud.com/api/v1/cloud-connected/organizations/198583657190/terms-and-conditions/_accept" \
  -H "Authorization: ApiKey ${API_KEY}"
```

